Subject: Re: GNUWIN32 Question
From: [email-masked] ("$Bill Luebkert")

12 Jun 1997 04:10:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Win95; I)
Original-To: Sergey Okhapkin <[email-masked]>
Original-CC: "[email-masked]" <[email-masked]>, "'Robert'" <[email-masked]>
Original-Sender: [email-masked]

Sergey Okhapkin wrote:
> 
> Robert wrote:
> > <<File: ATT00000.att>>
> > I love your product, I just need one thing. A kbhit() function. The

Don't want to step on any toes here, but there are a couple of syntactic
errors in this code fragment (marked below).  Haven't tried the code, 
so I can't say anything about the logic (which looks ok). :)

> #include <sys/socket.h>
> #include <sys/time.h>
> 
> int kbhit()
> {
>         FD_SET rfds;

Should be lowercase:
          fd_set rfds;

>         struct timeval tv;
> 
>         FD_ZERO(&rfds);
>         FD_SET(0, &rfds);
>         tv.tv_sec = 0;
>         tv.tv_usec = 0;
>         select(1, &rfds, 0, 0, &tv);

Could check for error return here, but not too likely.

>         return(FD_ISSET(0, &rfds);

Leave off the first paren:
          return FD_ISSET(0, &rfds);

> }

Just in case robert isn't an experienced programmer. :)

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".